우리 앱을 설치하세요 🪄 주소 표시줄 오른쪽 상단에 있는 아이콘을 클릭하세요.

계정 결제

GET https://digily.link/api/payments/
curl --request GET \
--url 'https://digily.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부 정보 설명
processor 선택 사항 문자열 허용된 값: paypal , stripe , offline_payment , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut
status 선택 사항 문자열 허용된 값: paid , pending , cancelled , refunded
type 선택 사항 문자열 허용된 값: one_time , recurring
frequency 선택 사항 문자열 허용된 값: monthly , quarterly , biannual , annual , lifetime
order_by 선택 사항 문자열 결과를 어떤 필드로 정렬할지. 허용되는 값은 다음과 같습니다: id , datetime , total_amount.
order_type 선택 사항 문자열 결과의 정렬 순서입니다. 허용되는 값은 다음과 같습니다: 오름차순 정렬의 경우 ASC, 내림차순 정렬의 경우 DESC입니다.
page 선택 사항 정수 결과를 가져올 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 페이지당 표시할 결과 수입니다. 허용되는 값은 다음과 같습니다: 10 , 25 , 50 , 100 , 250 , 500 , 1000. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "example@example.com",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-03-25 10:30:32",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/payments?page=1",
        "last": "https://digily.link/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/payments?page=1"
    }
}
GET https://digily.link/api/payments/{payment_id}
curl --request GET \
--url 'https://digily.link/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "example@example.com",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-03-25 10:30:32",
    }
}